Bug 998909 - OpenLMI-Storage needs capability 'sys_admin'
OpenLMI-Storage needs capability 'sys_admin'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
All Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 06:36 EDT by Jan Safranek
Modified: 2014-12-10 04:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:00:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2013-08-20 06:36:35 EDT
With current SELinux policy, I get following AVC:

time->Tue Aug 20 08:00:39 2013
type=SYSCALL msg=audit(1377000039.586:1504): arch=c000003e syscall=16 success=no exit=-13 a0=c a1=c138fd00 a2=7f6e5c71bc30 a3=7f6e6292f453 items=0 ppid=1 pid=8089 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm="cimprovagt" exe="/usr/libexec/pegasus/cimprovagt" subj=system_u:system_r:pegasus_openlmi_storage_t:s0 key=(null)

type=AVC msg=audit(1377000039.586:1504): avc:  denied  { sys_admin } for  pid=8089 comm="cimprovagt" capability=21  scontext=system_u:system_r:pegasus_openlmi_storage_t:s0 tcontext=system_u:system_r:pegasus_openlmi_storage_t:s0 tclass=capability

OpenLMI storage needs the capability to manage system storage.


Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.12.1-70.fc20.noarch

(This bug applies also to Rawhide)
Comment 2 Miroslav Grepl 2013-08-20 08:30:49 EDT
commit 6275d768b02a2898c915e8c1336a6ec5ef2d4be9
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Tue Aug 20 14:30:23 2013 +0200

    pegasus_openlmi_storage_t wants sys_admin capability
Comment 5 Ludek Smid 2014-06-13 07:00:34 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.